Skip to main content
GET
/
api
/
v2
/
sshcertificateauthorities
/
{sshCertificateAuthorityID}
Get SSH certificate authority
curl --request GET \
  --url https://api.example.com/api/v2/sshcertificateauthorities/{sshCertificateAuthorityID} \
  --header 'Authorization: Bearer <token>'
{
  "metadata": {
    "id": "a64f9269-36e0-4312-b8d1-52d93d569b7b",
    "name": "undefined",
    "organizationId": "9a8c6370-4065-4d4a-9da0-7678df40cd9d",
    "projectId": "e36c058a-8eba-4f5b-91f4-f6ffb983795c",
    "creationTime": "2024-05-31T14:11:00Z",
    "createdBy": "john.doe@acme.com",
    "provisioningStatus": "provisioned",
    "healthStatus": "healthy"
  },
  "spec": {
    "publicKey": "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIBuildOnlyTrustAnchor comment"
  }
}

Authorizations

Authorization
string
header
required

Operation requires OAuth 2.0 bearer token authentication.

Path Parameters

sshCertificateAuthorityID
string<uuid>
required

The SSH certificate authority ID. An SSH certificate authority ID.

Response

An SSH certificate authority.

An SSH certificate authority.

metadata
object
required

Metadata required by project scoped resource reads.

spec
object
required

An OpenSSH user certificate authority trust anchor.